/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: edir_cookie_b64.h,v 1.1.2.3.2.1 2000/10/19 17:59:07 jasona Exp $
 */

#ifndef __EDIR_COOKIE_B64_H__
#define __EDIR_COOKIE_B64_H__ 1
#ifdef __cplusplus
extern "C" {
#endif

/*
 * The resulting string from a base 64 encode is guaranteed to
 * be exactly this size.
 */
#define EDIR_COOKIE_B64_ENC_SIZE(N) ((((N) + 2) / 3) * 4)

/*
 * The resulting byte array from a base 64 decode is guaranteed
 * to not be larger than this size, but it may be one or two
 * bytes shorter, depending upon the number of '=' characters
 * appended at the end of the string.
 */
#define EDIR_COOKIE_B64_DEC_SIZE(N) ((((N) + 3) / 4) * 3)

extern int
edir_cookie_b64_encode(octet *inBuf, int inLen, char *outBuf);

extern int
edir_cookie_b64_decode(char *inBuf, octet *outBuf, int *inRead);

extern void
edir_cookie_sticky_session_tag(uint32 ipAddr, uint16 port, char *outBuf);

#ifdef __cplusplus
} /* Extern "C" */
#endif
#endif /* __EDIR_COOKIE_B64_H__ */

