/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: edir_socket.h,v 1.1.2.3.2.1 2000/10/19 17:59:07 jasona Exp $
 */

#ifndef __EDIR_SOCKET_H__
#define __EDIR_SOCKET_H__ 1
#ifdef __cplusplus
extern "C" {
#endif

extern void
edir_socket(edir_connection_t *conn, edir_exception_t **exc);

extern void
edir_socket_bind(edir_connection_t *conn, edir_exception_t **exc);

extern void
edir_socket_connect(edir_connection_t *conn, edir_exception_t **exc);

extern void
edir_socket_close(edir_connection_t *conn, edir_exception_t **exc);

extern void
edir_socket_write(edir_connection_t *conn, edir_exception_t **exc,
		void *buf, int32 len);

extern void
edir_socket_write_sbuf(edir_connection_t *conn, edir_exception_t **exc, void *sbuf);

extern void
edir_socket_receive(edir_connection_t *conn, edir_exception_t **exc,
		void *buf, int32 len);

extern void
edir_socket_receive_all(edir_connection_t *conn, edir_exception_t **exc,
		void *buf, int32 len);

extern void
edir_socket_skip(edir_connection_t *conn, edir_exception_t **exc, int32 len);

extern void
edir_socket_skip_all(edir_connection_t *conn, edir_exception_t **exc, int32 len);

extern void
edir_socket_finish_skip(edir_connection_t *conn, edir_exception_t **exc);

extern void
edir_socket_finish_send(edir_connection_t *conn, edir_exception_t **exc);

extern void
edir_socket_finish_receive(edir_connection_t *conn, edir_exception_t **exc);

extern void
edir_socket_finish_connect(edir_connection_t *conn, edir_exception_t **exc);

extern int
edir_ip_addr(char *hostname, struct in_addr *ap);

extern void
edir_sockaddr_in(char *host, int port, struct sockaddr_in *sin,
	       edir_exception_t **exc);

extern void 
edir_sockaddr_to_str(struct sockaddr_in *sin, char *buf);

#define EDIR_IO_PENDING(CONN) ((CONN)->ioPending)

#define EDIR_SOCKET_MAX_IOV 10

#ifdef __cplusplus
} /* Extern "C" */
#endif
#endif  /* __EDIR_SOCKET_H__ */
