#
# Enhydra Java Application Server 
# The Initial Developer of the Original Code is Lutris Technologies Inc. 
# Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
# Inc. 
# All Rights Reserved. 
#
# The contents of this file are subject to the Enhydra Public License Version
# 1.0 (the "License"); you may not use this file except in compliance with the
# License. You may obtain a copy of the License at
# http://www.enhydra.org/software/license/epl.html 
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations under the
# License. 
#

#
# discRack
# Enhydra Application Makefile Configuration
#


# Note: you must create a file called config.local.mk in this directory, and use it
# to define the following MAKE variables:
#
# ENHYDRA_DIR=<root of enhydra installation tree, containing ${ENHYDRA_DIR}/lib/enhydra.jar etc.>
# JDKDIR=<root of JDK 1.2.2 tree, containing ${JDKDIR}/bin etc.>

include ${ROOT}/config.local.mk

#
# You may need to set other values to override the defaults, for example:
#
# JDKDIR = /usr/local/jdk1.2.2
# JSDKDIR = ...
# WAIDIR = ...  (optional)
# SWINGDIR = ...  (optional)
#
# See lib/stdrules.mk in the Enhydra installation for more
# configuration settings.
#


#
# What is the name of the jar file to create?
#
JARNAME = discRack

#
# Do some sanity checking before building.
#
ENHYDRA_CHECK = YES

include $(ENHYDRA_DIR)/lib/stdrules.mk

#
# Only used if ENHYDRA_DIR is not correct.
#
$(ENHYDRA_DIR)/lib/stdrules.mk:
	@echo
	@echo "Please edit config.local.mk. ENHYDRA_DIR must point to your installation of Enhydra."
	@echo
